Package org.mozilla.javascript

## Class ScriptRuntime.StringIdOrIndex

- java.lang.Object
- - org.mozilla.javascript.ScriptRuntime.StringIdOrIndex

- Enclosing class:
    ScriptRuntime

      public static final class ScriptRuntime.StringIdOrIndex
      extends java.lang.Object

  Helper to return a string or an integer. Always use a null check on s.stringId to determine if the result is string or integer.
  See Also:
    `ScriptRuntime#toStringIdOrIndex(Context, Object)`

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getIndex()` |
    `java.lang.String` | `getStringId()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getStringId

          public java.lang.String getStringId()

    - #### getIndex

          public int getIndex()